Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../includes/class_bbcode.php on line 2958
help pls... how do you make a 3d mesh a solid object?
Results 1 to 6 of 6

Thread: help pls... how do you make a 3d mesh a solid object?

  1. #1
    Join Date
    Jan 2005
    Location
    Manila, Philippines
    Posts
    9

    help pls... how do you make a 3d mesh a solid object?

    Hi. I'm Burt, an architecture student. I am designing a "hemi-teardrop" shaped building. I know that it can be done using revolve , but the problem is... It has a pointed top (see the top view in the left-center viewport). As you can see, I tried using edgesurf... but that didn't work out either, because I have objects (2 doors and 2 windows) to attach and I can't use subtract and/or union with the mesh.

    Maybe any of you knows how to make a solid object from a 3d mesh...

    By the way, this is one of the buildings in my thesis... which I should pass before February 18...

    ...I really hope to hear from you...

    [/img]

  2. #2
    Join Date
    Jun 2004
    Location
    Anchorage, Alaska
    Posts
    1,179
    I've heard that some success has been had from using a lisp routine that converts mesh to solid. I don't have the link handy. Do a search for "m2s.lsp".

  3. #3
    Join Date
    Jan 2005
    Location
    Manila, Philippines
    Posts
    9
    Ok, got it. Will be trying it later. Thanks much CarLB!

    P.S.: If anyone has a better idea, pls just post it here. Thanks!

  4. #4
    Join Date
    Jan 2005
    Location
    Manila, Philippines
    Posts
    9
    hmm... I just came home from class... and I realized... I don't know how to use lisps...

    well... i know how to load them... and i did just that a while ago with the m2s.lsp... but it just said "m2s.lsp loaded"... i don't know what to do next. Pardon me for being soooo ignorant, but i really have to ask:

    how do you use lisps??? :?

    I know the answer could be somewhere around here in the forums... but i can't seem to find em... so pls point me to it or something... so sorry. :wink:

  5. #5
    Join Date
    Oct 2004
    Location
    Scotland
    Posts
    186
    without seeing the Lisp, at a guess, I'd say after you've loaded it try typing M2S and see what that does.

    If it's in plain Lisp format, you can aslo open it in either the vlide or any text editor, such as Notepad. Somewhere around the top of th Lisp you should see a line which begins:
    (Defun C:something....

    whatever is immediately after the colon is the command name

  6. #6
    Join Date
    Jan 2005
    Location
    Manila, Philippines
    Posts
    9
    GOT IT WORKING!!! THANKS A LOT!!!

    i cudnt believe i just needed to type "m2s"... what a loser, hahaha :lol:

    ...i guess i was too desperate to take the time to try things.

    ------------------------

    I appreciate the quick and unreprimanding help you guys give! This forum rocks! I'm learning a lot and am now sharing my knowledge with my friends and classmates... even my professors were impressed!

    long live and more power to cadeverything.com!!!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •